.carousel {
  position: relative;
  padding-left: 0;
  padding-right: 0;

  @include media("sm") {
    padding-left: 5%;
    padding-right: 5%;
  }

  > .header,
  > .content .swiper {
    position: relative;
    padding-left: 5%;
    padding-right: 5%;

    @include media("sm") {
      padding-left: 0;
      padding-right: 0;
    }
  }

  > .header {
    text-align: center;
    margin-bottom: 3.2rem;
  }

  > .header .title {
    font-size: 1.8rem;
  }

  > .content {
    position: relative;
  }

  > .content .swiper:not(.swiper-initialized) ~ button[class^="swiper-button-"] {
    display: none;
  }

  > .content .swiper-slide {
    height: auto;
  }

  > .content .swiper-slide:not(.swiper-slide-active):not(.swiper-slide-next) .product-block:not(.sold-out) {
    transition: var(--transition);
    opacity: 0.4;

    @include media("sm") {
      opacity: 1;
    }
  }

  > .content .product-block {
    height: 100%;
  }

  > .content .description {
    margin-bottom: auto;
  }

  > .content .swiper-button-prev,
  > .content .swiper-button-next {
    top: 36%;
    display: none;

    @include media("sm") {
      display: flex;
    }
  }

  > .content .swiper-button-prev {
    left: -0.5vw;
    transform: translate(-100%, -50%);
  }

  > .content .swiper-button-next {
    right: -0.5vw;
    transform: translate(100%, -50%);
  }

  > .content .swiper-pagination {
    position: static !important;
    width: 90% !important;
    margin: 3.2rem auto 0;

    @include media("sm") {
      width: 100% !important;
    }
  }
}
